<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [UserInterface](./bitburner.userinterface.md) &gt; [renderTail](./bitburner.userinterface.rendertail.md)

## UserInterface.renderTail() method

Render a tail window.

**Signature:**

```typescript
renderTail(pid?: number): void;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

pid


</td><td>

number


</td><td>

_(Optional)_ Optional. PID of the script having its tail rendered. If omitted, the current script is used.


</td></tr>
</tbody></table>

**Returns:**

void

## Remarks

RAM cost: 0 GB

Tail windows are rendered at an interval defined in game settings. This function renders the tail window of the specified script immediately.

